import { t } from "../../src/locale";
import snippets from "./snippets";
import componentKey from "../_com-props/componentKey";
import componentName from "../_com-props/componentName";
export default {
  componentName: "Lang",
  label: t("lang.key_JtNgfyyuO9jd"),
  group: t("lang.key_FaXmmVJ2RoGc"),
  category: "Element",
  props: [componentKey, componentName, {
    name: "selectLang",
    label: {
      label: t("lang.key_E8qK9ZFhoyhN"),
      tip: t("lang.key_E8qK9ZFhoyyy")
    },
    propType: {
      type: "oneOf",
      value: ["primary", "ghost", "dashed", "danger", "link", "text"]
    },
    setter: {
      componentName: "SelectSetter",
      initialValue: ["en"],
      props: {
        mode: "multiple",
        options: [{
          value: "en",
          label: "EN"
        }, {
          value: "zh",
          label: "中文"
        }, {
          value: "zh_tw",
          label: "中文(繁体)"
        }]
      }
    }
  }, {
    title: t("lang.key_FaXmmVJ2RoGb"),
    display: "block",
    type: "group",
    items: [{
      name: "langIcon",
      title: {
        label: t("lang.key_R6oHhEmaibcr"),
        tip: t("lang.key_8SvJumjYgocp")
      },
      setter: "CUploadImageDefaultSetter"
    }, {
      name: "iconWidth",
      title: {
        label: t("lang.key_E8qK9ZFhotmc"),
        tip: t("lang.key_E8qK9ZFhoyhg")
      },
      propType: "string",
      setter: "NumberSetter",
      defaultValue: "24"
    }, {
      name: "iconHeight",
      title: {
        label: t("lang.key_E8qK9ZFhobtc"),
        tip: t("lang.key_E8qK9ZFhooip")
      },
      propType: "string",
      setter: "NumberSetter",
      defaultValue: "24"
    }]
  }, {
    title: t("lang.key_5zlHaBycqqkO"),
    display: "block",
    type: "group",
    items: [{
      name: "dropDownbgColor",
      title: {
        label: t("lang.key_E8qK9ZFhoMwN"),
        tip: t("lang.key_G9PHuqoCi5CD")
      },
      propType: "string",
      setter: "ColorSetter",
      defaultValue: "#252a35"
    }, {
      name: "dropDownHoverColor",
      title: {
        label: t("lang.key_hLawBocw6Hwg"),
        tip: t("lang.key_O4AX7eTdCjse")
      },
      propType: "string",
      setter: "ColorSetter",
      defaultValue: "#1C2029"
    }, {
      name: "dropDownTextColor",
      title: {
        label: t("lang.key_NQh52Sb1kLoU"),
        tip: t("lang.key_8kRkvlae32Iz")
      },
      propType: "string",
      setter: "ColorSetter",
      defaultValue: "#B6B8B9"
    }, {
      name: "dropDownHoverTextColor",
      title: {
        label: t("lang.key_R6oHhEmaliJ7"),
        tip: t("lang.key_8SvJumjYFK6r")
      },
      propType: "string",
      setter: "ColorSetter",
      defaultValue: "#B6B8B9"
    }, {
      name: "dropDownTextSize",
      title: {
        label: t("lang.key_R6oHhEmaiegh"),
        tip: t("lang.key_8SvJumjYFgkl")
      },
      propType: "string",
      setter: "NumberSetter",
      defaultValue: "14"
    }]
  }],
  configure: {
    supports: {
      events: false,
      style: true,
      loop: false,
      condition: false
    }
  },
  snippets: snippets
};